/*
 * This file is part of the Cforall project
 *
 * $Id: AlternativePrinter.h,v 1.2 2005/08/29 20:14:15 rcbilson Exp $
 *
 */

#ifndef RESOLVEXPR_ALTERNATIVEPRINTER_H
#define RESOLVEXPR_ALTERNATIVEPRINTER_H

#include <iostream>

#include "Alternative.h"
#include "SymTab/Indexer.h"

namespace ResolvExpr {

class AlternativePrinter : public SymTab::Indexer
{
public:
  AlternativePrinter( std::ostream &os );
  virtual void visit(ExprStmt *exprStmt);

private:
  std::ostream &os;
};

} // namespace ResolvExpr

#endif /* #ifndef RESOLVEXPR_ALTERNATIVEPRINTER_H */
